Tp::Service::ChannelTypeServerTLSConnectionAdaptor Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::Service::ChannelTypeServerTLSConnectionAdaptor Class Reference
Channel service implementation

`#include <TelepathyQt/_gen/svc-channel.h>`

Inherits Tp::AbstractAdaptor.

## Public Member Functions
QDBusObjectPath | ServerCertificate () const
QString | Hostname () const
QStringList | ReferenceIdentities () const
Public Member Functions inherited from Tp::AbstractAdaptor
| AbstractAdaptor (const QDBusConnection &connection, QObject *adaptee, QObject *parent)
| ~AbstractAdaptor ()
QDBusConnection | dbusConnection () const
QObject * | adaptee () const

## Detailed Description

Adaptor class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Channel.Type.ServerTLSConnection".

## Member Function Documentation

QDBusObjectPath Tp::Service::ChannelTypeServerTLSConnectionAdaptor::ServerCertificate | ( |  | ) | const

Return the value of the exported D-Bus object property `ServerCertificate` of type `QDBusObjectPath`.

Adaptees should export this property as a Qt property named 'serverCertificate' with type QDBusObjectPath.

A TLSCertificate containing the certificate chain as sent by the server, and other relevant information.

Returns
  The value of exported property `ServerCertificate`.

QString Tp::Service::ChannelTypeServerTLSConnectionAdaptor::Hostname | ( |  | ) | const

Return the value of the exported D-Bus object property `Hostname` of type `QString`.

Adaptees should export this property as a Qt property named 'hostname' with type QString.

The hostname or domain that the user expects to connect to. Clients SHOULD use the ReferenceIdentities property to verify the identity of the certificate. Clients MAY display this hostname to the user as the expected identity. Clients SHOULD use this property to lookup pinned certificates or other user preferences for the connection.

Returns
  The value of exported property `Hostname`.

QStringList Tp::Service::ChannelTypeServerTLSConnectionAdaptor::ReferenceIdentities | ( |  | ) | const

Return the value of the exported D-Bus object property `ReferenceIdentities` of type `QStringList`.

Adaptees should export this property as a Qt property named 'referenceIdentities' with type QStringList.

The identities of the server we expect ServerCertificate to certify; clients SHOULD verify that ServerCertificate matches one of these identities when checking its validity. This property MUST NOT be the empty list; it MUST contain the value of the Hostname property. All other identities included in this property MUST be derived from explicit user input or choices, such as Parameters passed to RequestConnection. The primary use for this property is for XMPP services hosted by Google Apps. When connecting to Google Talk using an .com JID, the server correctly presents a certificate for gmail.com; however, for domains hosted via Google Apps, a certificate for talk.google.com is offered, due to unresolved technical limitations. If the user has explicitly chosen to create a Google Talk account, then trusting a certificate for talk.google.com is reasonable. To handle this case, the connection manager may add the values of any or all of the server, fallback-server and extra-identities parameters; the Google Talk account creation user interface may set these parameters appropriately, or the user may set them for accounts with other services.

Returns
  The value of exported property `ReferenceIdentities`.